Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		liblastfm
Version:	0.3.0
Release:	1
Summary:	Libraries to integrate Last.fm services
Group:		System/Libraries
License:	GNU/GPLv2+
URL:		http://github.com/mxcl/liblastfm/tree/master 
Source0:	http://cdn.last.fm/src/liblastfm-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

Patch1:		liblastfm-0.3.0-qmake.patch

#Automatically resolved build dependencies
BuildRequires: fftw-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libsamplerate-devel
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
%{summary}.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q
%patch1 -p1 -b .qmake

%build
# hack around hard-coded libdir, see qmake patch
LIB=%{_lib} ; export LIB
# no autofoo
./configure \
  --prefix %{_prefix} \
  --release
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/liblastfm.so.0*
%{_libdir}/liblastfm_fingerprint.so.0*

%files devel
%defattr(-,root,root,-)
%{_libdir}/liblastfm.so
%{_libdir}/liblastfm_fingerprint.so
%{_includedir}/lastfm.h
%{_includedir}/lastfm/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Oct 03 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.0-1
- Initial CCux release
